Bug 182418 - Color name is not defined
Color name is not defined
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-02-22 08:52 EST by Derrien
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-22 20:32:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Derrien 2006-02-22 08:52:51 EST
Description of problem:

[14:45]%xterm -bg "sky blue"
Warning: Color name "sky blue" is not defined
Warning: Color name "black" is not defined

However showrgb print it :

[14:48]%showrgb | grep "sky blue"
  0 191 255             deep sky blue
135 206 235             sky blue
135 206 250             light sky blue

Version-Release number of selected component (if applicable):

Name        : xorg-x11-server-Xorg         Relocations: (not relocatable)
Version     : 1.0.1                             Vendor: Red Hat, Inc.
Release     : 6.1                           Build Date: dim 12 fév 2006 20:57:25 CET

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Mike A. Harris 2006-02-22 20:32:38 EST
Either your X server is misconfigured to look for rgb database in the
wrong place, or your OS installation is messed up or corrupted.  In the
early stages of FC5 development there were some legitimate bugs concerning
rgb.txt being installed in the wrong place, and the X server looking in
the wrong place, etc. however all such bugs have long since been fixed.

All bug reports that have come in since have been traced back to misconfigured
X servers, or having very old packages installed, or some other transient

If you're unable to determine which is occuring for your case, do a complete
fresh reinstallation of FC5test3 and the problem should vanish.

Hope this helps.
Comment 2 Derrien 2006-02-23 08:58:31 EST
It was a complete fresh installation of FC5test3.
But today an 'yum -y update' solved this problem.

Comment 3 Mike A. Harris 2006-02-24 06:39:49 EST
If it occurs on a fresh OS install, then the only thing that could cause
it is misconfiguration, because I have directly verified that the system
X libraries and the X server both look for rgb.txt in the proper location
and the file is installed in the correct location.  The only way it wont
be found is if the xorg.conf redefines RgbPath to another location which
is incorrect.

clumens:  Please ensure s-c-d is not writing out RgbPath to the config file.
Comment 4 Chris Lumens 2006-02-24 13:41:15 EST
pyxf86config has a single reference to it, but I don't believe s-c-display or
rhpxl are using it for anything.  I'm not seeing it on a default Rawhide install.

Note You need to log in before you can comment on or make changes to this bug.